[![Binder](https://mybinder.org/badge_logo.svg)](https://mybinder.org/v2/gh/fastai/fastbook/master)  
[English](./README.md) / [Spanish](./README_es.md) / [Korean](./README_ko.md) / [Chinese](./README_zh.md) / [Bengali](./README_bn.md) / [Indonesian](./README_id.md)

# fastai বই

এই নোটবুকগুলি প্রারম্ভিক ডীপ লার্নিং, [fastai](https://docs.fast.ai/), এবং [PyTorch](https://pytorch.org/) কভার করে। fastai হল ডীপ লার্নিং -এর জন্য একটি স্তরবিশিষ্ট API; আরও জানার জন্য [fastai পেপারটি](https://www.mdpi.com/2078-2489/11/2/108) দেখুন। এই রেপোর অন্তর্ভুক্ত সমস্তকিছুর স্বত্ব ২০২০ সাল থেকে জেরেমি হাওয়ার্ড ও সিলভ্যাঁ গাগার দ্বারা রক্ষিত।

এই নোটবুকগুলি [একটি MOOC -এ](https://course.fast.ai) ব্যবহৃত হয় এবং এগুলি [এই বইটার](https://www.amazon.com/Deep-Learning-Coders-fastai-PyTorch/dp/1492045527) ভিত্তি, যা এখন কিনতে পাওয়া যাচ্ছে। এই খসড়ার অন্তর্ভুক্ত বিষয়বস্তু GPL লাইসেন্সের আওতাধীন, কিন্তু বইটি GPL লাইসেন্সের বাঁধাধরার আওতাভুক্ত নয়।

এই নোটবুকগুলিতে ব্যবহৃত কোড এবং পাইথন `.py` ফাইলগুলি GPL v3 লাইসেন্সের আওতাধীন। আরও জানার জন্য LICENSE ফাইলটি দেখুন।

বাদবাকি সমস্তকিছুর (নোটবুকের সমস্ত মার্কডাউন সেল এবং অন্যান্য টেক্সটের) কোনরকম পুনর্বিতরণ বা তাদের আকার বা মাধ্যমের কোনরকম পরিবর্তন অনুমোদিত নয়। তবে এই নোটবুকগুলিকে ব্যক্তিগত ব্যবহারের প্রয়োজনে কপি করা যেতে পারে, বা রেপোটিকে ফর্ক করা যেতে পারে। এই নোটবুকগুলি ব্যবসায়িক উদ্দেশ্যে ব্যবহার করা বা কোনভাবে সম্প্রচার করা নিষিদ্ধ। আমরা আপনাদের ডীপ লার্নিং শেখায় সাহায্য করার জন্য এই মেটেরিয়ালগুলি বিনামূল্যে উপলব্ধ করছি। সুতরাং আমাদের স্বত্বাধিকারকে সম্মান করুন, এবং বিধিনিষেধগুলিকে মান্যতা দিন।

যদি আপনি এই মেটেরিয়ালগুলি বা তাদের কোন কপিকে অন্য কোথাও কারও দ্বারা হোস্টেড হতে দেখেন, তাহলে তাঁদের জানান যে তাঁদের কার্যকলাপ অনুমোদিত নয়, এবং তাঁদের বিরুদ্ধে আইনী ব্যবস্থা নেওয়া হতে পারে। উপরন্তু, তাঁরা ব্যবহারকারী গোষ্ঠীর ক্ষতিসাধন করবেন, কারণ আমাদের স্বত্বাধিকার ক্ষতিগ্রস্ত হলে আমরা এইভাবে অতিরিক্ত মেটেরিয়াল প্রকাশ করার আগে অনেকবার ভাববো।

এইটা একটা শুরুর দিকের খসড়া। যদি আপনার নোটবুকগুলি রান করতে কোনরকম সমস্যা হয়, তাহলে [fastai-dev ফোরামে](https://forums.fast.ai/c/fastai-users/fastai-dev/) উত্তরের খোঁজ করুন, অথবা সাহায্যের প্রয়োজন হলে সাহায্য চান। নোটবুকগুলি রান করতে কোনরকম সমস্যা হলে তা জানানোর জন্য অনুগ্রহ করে গিটহাব ইস্যুর ব্যবহার করবেন না।

আপনি যদি এই রেপোতে কোন পুল রিকোয়েস্ট তৈরি করেন, তাহলে আপনি সেই কাজের স্বত্বাধিকার জেরেমি হাওয়ার্ড এবং সিলভ্যাঁ গাগারকে অর্পণ করছেন। (আরও জেনে রাখুন- আপনি যদি বানান বা লেখায় ছোট আকারের কোন ভুল সংশোধন করতে চান, তাহলে অনুগ্রহ করে ফাইলের নাম এবং আপনার করা পরিবর্তনের একটা অতিসংক্ষিপ্ত বিবরণ যোগ করুন। রিভিউয়ারদের পক্ষে বিভিন্ন ফাইল এবং সম্পর্কিত পরিবর্তনের হিসেব রাখা কঠিন হয়ে দাঁড়াচ্ছে। ধন্যবাদ।)
