[![Binder](https://mybinder.org/badge_logo.svg)](https://mybinder.org/v2/gh/fastai/fastbook/master)  
[English](./README.md) / [Spanish](./README_es.md) / [Korean](./README_ko.md) / [Chinese](./README_zh.md) / [Bengali](./README_bn.md) / [Indonesian](./README_id.md)

# Buku fastai

Notebook-notebook ini membahas pengantar deep learning, [fastai](https://docs.fast.ai/), dan [PyTorch](https://pytorch.org/). fastai adalah API berlapis untuk deep learning; untuk informasi lebih lanjut, lihat [the fastai paper](https://www.mdpi.com/2078-2489/11/2/108). Semua yang ada di repo ini adalah hak cipta Jeremy Howard dan Sylvain Gugger, 2020 dan seterusnya.

Notebook ini digunakan untuk [MOOC](https://course.fast.ai) dan menjadi dasar untuk [buku ini](https://www.amazon.com/Deep-Learning-Coders-fastai-PyTorch/dp/1492045527), yang saat ini tersedia untuk dibeli. Buku tersebut tidak memiliki batasan GPL yang sama dengan yang ada di draf ini.

Kode dalam notebook dan file python `.py` dilindungi oleh lisensi GPL v3; lihat file LICENSE untuk lebih detail.

Lebih dari itu (termasuk semua sel-sel markdown di notebook-notebook dan prosa lainnya) tidak dilisensikan untuk pendistribusian ulang atau perubahan format atau media, selain untuk membuat salinan dari notebook-notebook atau me-fork repo ini untuk penggunaan pribadi anda sendiri. Tidak ada penggunaan komersial atau hak siaran diperbolehkan. Kami menyediakan materi ini secara gratis untuk membantu anda mempelajari deep learning, jadi mohon harap hormati hak cipta kami dan batasan-batasan ini.

Jika anda melihat seseorang menghosting salinan materi ini di tempat lain, beri tahu mereka bahwa tindakan mereka tidak diizinkan dan dapat menyebabkan tindakan hukum. Selain itu, mereka akan merugikan komunitas karena kami tidak mungkin merilis materi tambahan dengan cara ini jika orang mengabaikan hak cipta kami.

Ini adalah draf awal. Jika anda mengalami kebuntuan saat menjalankan notebook, silakan cari [forum fastai-dev](https://forums.fast.ai/c/fastai-users/fastai-dev/) untuk mendapatkan jawaban, dan mintalah bantuan di sana jika diperlukan. Harap jangan gunakan GitHub issues untuk masalah menjalankan notebook.

Jika anda membuat pull request apa pun ke repo ini, anda memberikan hak cipta atas karya tersebut kepada Jeremy Howard dan Sylvain Gugger. (Selain itu, jika anda membuat pengeditan kecil pada ejaan atau teks, harap sebutkan nama file dan uraian singkat perihal apa saja yang anda perbaiki. Seiring berjalannya waktu, semakin sulit bagi peninjau untuk mengetahui koreksi mana yang telah dilakukan. Terima kasih.)

## Kutipan

Jika Anda ingin mengutip buku tersebut, Anda dapat menggunakan:

```
@book{howard2020deep,
title={Deep Learning for Coders with Fastai and Pytorch: AI Applications Without a PhD},
author={Howard, J. and Gugger, S.},
isbn={9781492045526},
url={https://books.google.no/books?id=xd6LxgEACAAJ},
year={2020},
publisher={O'Reilly Media, Incorporated}
}
```